PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package hackable
  Definition Classes
    serverobject
- GenericHackables
- Hackable
- HackableBehavior
- HackableDefinition

t

net.psforever.objects.serverobject.hackable

# Hackable

###
Companion object Hackable

#### trait Hackable extends AnyRef

Self Type
  Hackable with FactionAffinity
Source
  Hackable.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
SensorDeployable, ShieldGeneratorDeployable, TurretDeployable, Vehicle, IFFLock, Locker, OrbitalShuttle, ProximityTerminal, Terminal, CaptureTerminal, ImplantTerminalMech, ProximityTerminalUtility, TeleportPadTerminalUtility, TerminalUtility

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Hackable
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def HackDuration: Array[Int]
5.  def HackDuration_=(arr: Array[Int]): Array[Int]
6.  def HackEffectDuration: Array[Int]
7.  def HackEffectDuration_=(arr: Array[Int]): Array[Int]
8.  def HackSound: packet.game.TriggeredSound.Value
9.  def HackSound_=(sound: packet.game.TriggeredSound.Value): packet.game.TriggeredSound.Value
10.  def HackedBy: Option[HackInfo]
11.  def HackedBy_=(hackInfo: HackInfo): Option[HackInfo]
12.  def HackedBy_=(agent: Option[Player]): Option[HackInfo]

    Set the hack state of this object by recording important information about the player who caused it.

    Set the hack state of this object by recording important information about the player who caused it. Set the hack state if there is no current hack state. Override the hack state with a new hack state if the new user has different faction affiliation.

    agent

      a `Player`, or no player

    returns

      the player hack entry

13.  def HackedBy_=(agent: Player): Option[HackInfo]
14.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
15.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped